summaryrefslogtreecommitdiffstats
path: root/source/a/bash/bash.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/bash/bash.SlackBuild')
-rwxr-xr-xsource/a/bash/bash.SlackBuild8
1 files changed, 4 insertions, 4 deletions
diff --git a/source/a/bash/bash.SlackBuild b/source/a/bash/bash.SlackBuild
index 0277ac151..5d58965b1 100755
--- a/source/a/bash/bash.SlackBuild
+++ b/source/a/bash/bash.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2005-2015 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2005-2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -100,13 +100,13 @@ chown -R root:root .
find . -perm 664 | xargs chmod 644
find . -perm 775 | xargs chmod 755
+# Fix .so errors in manpages (needed for strict implementations such as mandoc):
+zcat $CWD/bash_manpages.patch.gz | patch -p1 --verbose || exit 1
+
if [ -d $CWD/bash-${VERSION}-patches ]; then
( cd $CWD/bash-${VERSION}-patches ; cat bash5?-??? ) | patch -p0 --verbose || exit 1
fi
-# Fix .so errors in manpages (needed for strict implementations such as mandoc):
-zcat $CWD/bash_manpages.patch.gz | patch -p1 --verbose || exit 1
-
# End of preparations
if echo "$*" | grep -qw -- --prep ; then
exit 0